linux-fsl-imx51: 2.6.31-612.30 -proposed tracker

Bug #888698 reported by Brad Figg on 2011-11-10
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Canonical Kernel Team
Verification-testing
Undecided
ubuntu-armel-kernel
linux-fsl-imx51 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 10. November 2011 19:15 UTC
kernel-stable-Certification-testing-end:Thursday, 10. November 2011 19:31 UTC
kernel-stable-Prepare-package-end:Friday, 11. November 2011 23:16 UTC
kernel-stable-Promote-to-proposed-start:Friday, 11. November 2011 23:16 UTC
kernel-stable-Promote-to-proposed-end:Monday, 14. November 2011 06:47 UTC
kernel-stable-Verification-testing-start:Monday, 14. November 2011 06:47 UTC
kernel-stable-Security-signoff-start:Thursday, 17. November 2011 17:16 UTC
kernel-stable-Verification-testing-end:Thursday, 17. November 2011 17:16 UTC
kernel-stable-Regression-testing-start:Thursday, 17. November 2011 17:16 UTC
kernel-stable-Security-signoff-end:Thursday, 17. November 2011 20:31 UTC
kernel-stable-Promote-to-updates-start:Friday, 18. November 2011 20:01 UTC
kernel-stable-Regression-testing-end:Friday, 18. November 2011 20:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 21. November 2011 07:33 UTC
kernel-stable-Promote-to-updates-end:Monday, 21. November 2011 07:33 UTC

This tracking bug was opened to be worked from linux-2.6.32-36.79 update (bug 887727)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-fsl-imx51 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2011-11-10
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-lucid.git fsl-imx51

summary: - linux-fsl-imx51: <version to be filled> -proposed tracker
+ linux-fsl-imx51: 2.6.31-612.30 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-11-14
Changed in linux-fsl-imx51 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-11-14
description: updated
Herton R. Krzesinski (herton) wrote :

Some debs/udebs went into universe section of the ports archive (http://ports.ubuntu.com/pool/universe/l/linux-fsl-imx51/), they should be in main.

There are only CVE fixes in this update, releasing for testing.

Brad Figg (brad-figg) on 2011-11-17
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-11-17
description: updated
Tobin Davis (gruemaster) on 2011-11-18
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-11-18
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-fsl-imx51 - 2.6.31-612.30

---------------
linux-fsl-imx51 (2.6.31-612.30) lucid-proposed; urgency=low

  * Release Tracking Bug
    - LP: #888698

  [ Herton Ronaldo Krzesinski ]

  * [Config] Use debian.env earlier

  [ Upstream Kernel Changes ]

  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
  * cifs: clean up cifs_find_smb_ses (try #2), CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
  * cifs: fix NULL pointer dereference in cifs_find_smb_ses, CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
  * cifs: check for NULL session password, CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
  * gre: fix netns vs proto registration ordering, CVE-2011-1767
    - LP: #869213
    - CVE-2011-1767
  * netns xfrm: fixup xfrm6_tunnel error propagation, CVE-2011-1768
    - LP: #869215, #823296
    - CVE-2011-1768
  * tunnels: fix netns vs proto registration ordering, CVE-2011-1768
    - LP: #869215
    - CVE-2011-1768
 -- Paolo Pisati <email address hidden> Fri, 11 Nov 2011 12:34:18 +0100

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers